<div class="outerpage-error-wrapper" [ngClass]="['indigo-pink-theme']">
  <div class="main-content">
    <!-- {{selectedTheme}} -->
    <mat-toolbar class="top-menubar">
      <img mat-card-image class="logo" [routerLink]="['/']" src="assets/Images/logo1.png" alt="NYC HRA LOGO" />
      <!-- Supportive Housing System -->
      <span class="toolbar-spacer"></span>
      <h1 class="main-title" [routerLink]="['/']">
        Coordinated Assessment and Placement System
      </h1>
      <span class="toolbar-spacer"></span>
    </mat-toolbar>

    <div class="error-content">
      <mat-card class="error-card-content">
        <mat-card-header>
          <h2>
            <mat-icon>warning</mat-icon>Error!
          </h2>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content>
          <p style="font-weight: bold; text-align: center;">{{ errorLog ? errorLog.shortMessage : '' }}</p>
          <p></p>
        </mat-card-content>
        <mat-card-footer>
          <div style="width: 400px" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
            <button *ngIf="showButton === true" type="button" [routerLink]="'/'" mat-raised-button color="primary">Go To Home Page</button>
          </div>
        </mat-card-footer>
      </mat-card>
    </div>

    <footer class="footer">
      <mat-toolbar color="primary" fxLayout="row auto" fxLayoutGap="10px">
        <div class="copyright" fxLayoutAlign="start">Copyright</div>
        <div class="helpSupport" fxLayoutAlign="end">Help | Support</div>
      </mat-toolbar>
    </footer>
  </div>
</div>